local
   val size = 
      case CommandLine.arguments () of
         size::_ => (case Int.fromString size of
                        SOME size => size
                      | NONE => 100)
       | _ => 100
   val mutator = Test.allDeleteInsertMutator {size = size}
in
   val () = Test.runMutator {testing = false,
                             verbose = true,
                             verboseLoop = true}
                            "MSortString" mutator
end
