structure PartitionEqAdaptive : APPLICATION =
struct
   structure List = ListAdaptive

   type it = int List.t
   type ot = int List.t * int List.t

   structure Hash = HashFamily(val M = 2)
   val hashFun = Hash.hashFun ()

   val p : int -> bool = fn i => hashFun i = 0

   val partition : it -$> ot = ListEqAdaptive.partition Key.int p
   fun run l = Adaptive.call (partition, l)
end
