structure SumAdaptive : APPLICATION =
struct
   structure List = ListAdaptive

   type it = int List.t
   type ot = int AdaptiveMeta.Box.t

   structure Hash = HashFamily(val M = 2)
   val mkRandSplit = fn () =>
      let val hashFun = Hash.hashFun ()
      in fn i => hashFun i = 0
      end
   val add = fn (a,b) => a + b

   val sum : it -$> ot = List.reduce mkRandSplit add 0 
   fun run l = Adaptive.call (sum, l)
end
