(**********************************************************************
 ** BoolElt.sml
 **
 ** Copyright 2007 Umut A. Acar, Matthew Fluet, Ruy Ley-Wild
 **
 ** This program is distributed under the terms of the GNU General
 ** Public License as published by the Free Software Foundation.  See
 ** the LICENSE file for the terms and conditions.
 **
 ***************
 ** Description: Boolean elements.
 **********************************************************************)

structure BoolElt : 
   sig 
      include ELT 
      val fromInt : int -> t
   end =
struct
   type t = bool

   val fromInt = fn i => not (i = 0)

   val eq = Eq.bool
   fun toString a = Bool.toString a
end
