functor BuildBoxElt (structure Elt: ELT) : 
sig
  include ELT
  val fromElt : Elt.t -> t
end 
=
struct
  type t = Elt.t AdaptiveMeta.Box.t

  fun eq (a,b) = Elt.eq (AdaptiveMeta.deref a,  AdaptiveMeta.deref b)

  fun toString a = Elt.toString (AdaptiveMeta.deref a)
  fun fromElt e = AdaptiveMeta.newEq (Elt.eq, e)
end
