structure Test =
struct

   structure ListGenerator = 
     RandInSquareListGenerator 
       (structure Elt = 
        struct
	  open GeometryTwoD.Point
          val newElt = new
	end
       )

   structure ListGenerator = 
     RandInCircleListGenerator 
       (structure Elt = 
        struct
	  open GeometryTwoD.Point
          val newElt = new
	end
       )

   structure TestApp =
      BuildListToListTest
      (structure Elt = GeometryTwoD.Point
       structure NAElt = GeometryTwoD.Point
       val convertElt = fn p => p
       structure Generator = ListGenerator
       structure AdaptiveAutoApp = QuickHullAdaptive
       structure NonAdaptiveAutoApp = QuickHullNonAdaptive
       structure NonAdaptiveUnAutoApp = QuickHullNonAdaptive)

   open TestApp
end
