functor BuildNABoxElt (structure Elt: ELT) : 
sig
  include ELT
  val fromElt : Elt.t -> t
end 
=
struct
  type t = Elt.t NonAdaptiveMeta.Box.t

  fun eq (a,b) = Elt.eq (NonAdaptiveMeta.deref a,  NonAdaptiveMeta.deref b)

  fun toString a = Elt.toString (NonAdaptiveMeta.deref a)
  fun fromElt e = NonAdaptiveMeta.newEq (Elt.eq, e)
end
