(**********************************************************************
 ** IntElt.sml
 **
 ** Copyright 2007 Umut A. Acar, Matthew Fluet, Ruy Ley-Wild
 **
 ** This program is distributed under the terms of the GNU General
 ** Public License as published by the Free Software Foundation.  See
 ** the LICENSE file for the terms and conditions.
 **
 ***************
 ** Description: Integer elements.
 **********************************************************************)

structure IntElt : 
   sig 
      include ELT 
      val fromInt : int -> t
   end =
struct
   type t = int

   val fromInt = fn i => i

   val eq = Eq.int
   fun toString a = Int.toString a
end
