functor OutType(structure Elt : ELT) =
struct
   structure Adaptive = 
      struct 
         type t = Elt.t 
         val toString = Elt.toString
      end
   structure NonAdaptive = 
      struct
         type t = Elt.t 
         val toString = Elt.toString
      end
   structure Checker =
      struct
         type a_t = Adaptive.t
         type na_t = NonAdaptive.t
         fun check (b1 : a_t, b2 : na_t) =
            Elt.eq (b1, b2)
      end
end
